#ifndef EFL_UI_PROGRESSBAR_IMPL_HH
#define EFL_UI_PROGRESSBAR_IMPL_HH

#include "efl_ui_progressbar.eo.hh"

namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Progressbar::pulse_mode_get() const
{
   Eina_Bool __return_value =  ::efl_ui_progressbar_pulse_mode_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Progressbar::pulse_mode_set( ::efl::eolian::in_traits<bool>::type pulse) const
{
    ::efl_ui_progressbar_pulse_mode_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(pulse));
}
inline ::efl::eolian::return_traits<bool>::type Progressbar::pulse_get() const
{
   Eina_Bool __return_value =  ::efl_ui_progressbar_pulse_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Progressbar::pulse_set( ::efl::eolian::in_traits<bool>::type state) const
{
    ::efl_ui_progressbar_pulse_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(state));
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Progressbar::pulse_mode_get() const
{
   Eina_Bool __return_value =  ::efl_ui_progressbar_pulse_mode_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Progressbar::pulse_mode_set( ::efl::eolian::in_traits<bool>::type pulse) const
{
    ::efl_ui_progressbar_pulse_mode_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(pulse));
}
inline ::efl::eolian::return_traits<bool>::type Progressbar::pulse_get() const
{
   Eina_Bool __return_value =  ::efl_ui_progressbar_pulse_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Progressbar::pulse_set( ::efl::eolian::in_traits<bool>::type state) const
{
    ::efl_ui_progressbar_pulse_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(state));
}
inline efl::ui::Progressbar::operator ::efl::ui::Progressbar() const { return *static_cast< ::efl::ui::Progressbar const*>(static_cast<void const*>(this)); }
inline efl::ui::Progressbar::operator ::efl::ui::Progressbar&() { return *static_cast< ::efl::ui::Progressbar*>(static_cast<void*>(this)); }
inline efl::ui::Progressbar::operator ::efl::ui::Progressbar const&() const { return *static_cast< ::efl::ui::Progressbar const*>(static_cast<void const*>(this)); }
} } }
#endif
